#  This is manual page in Perl POD format. Read more at
#  http://perldoc.perl.org/perlpod.html or run command:
#
#     perldoc perlpod | less
#
#  To check the syntax:
#
#     podchecker *.pod
#
#  Create manual page with command:
#
#    pod2man PAGE.N.pod > PAGE.N

=pod

=head1 NAME

armada-backlight - Adjust Compaq Armada backlight

=head1 SYNOPSIS

  armada-backlight [-h|--help] [[+-]value]

=head1 DESCRIPTION

Values:

   None   Prints the current brightness level to stdout.
   +      Increases the brightness of the backlight.
   -      Decreases the brightness of the backlight.
   value  Sets the brightness of the backlight. Value must be between 0 and
          8, inclusive.

The Armada Backlight Controller is a program for controlling the
brightness of the LCD backlight on Compaq Armada[1] laptops under
Linux. It has been tested on an Armada M700 running. It is based on
code by George Acher[2], which was written for the M300 and has been
used on the E500. This package should also work on those machines,
although that has not been tested by Nat Pryce, who put the modified
package together.

The program is divided into two parts:

 1. A command-line program that is installed with privileges that
    allow it to control the backlight hardware (aka an "suid" program).

 2. A GNOME panel applet that provides a convenient GUI to the
    command-line program.

An alternative way of using the command-line program is to configure
your X window manager to run it in response to key sequences such as
Alt-F10 to make the screen brighter and Alt-Shift-F10 to make the
screen dimmer (in Compaq Armada, the F10 key has a brightness icon on
it).

References:

   1. http://www.compaq.com/products/notebooks/
   2. http://www.acher.org/

B<GNOME Panel Applet>

The Armada Backlight Controller applet is installed into the Utility
category of the GNOME Applets menu.

[menu.png]

When added to the panel, the applet presents a scrollbar that can be
used to interactively control the brightness of the backlight and also
shows the current level numerically. The icon identifies the applet in
the panel and can be used to access the applet menu using the right
mouse button.

[applet.png]

=head1 OPTIONS

=over 4

=item B<-h, --help>

Print usage information to stderr.

=back

=head1 ENVIRONMENT

None.

=head1 FILES

None.

=head1 SEE ALSO

laptop-mode-tools(1)

=head1 AUTHORS

This manual page was written by Jari Aalto <jari.aalto@cante.net> for
the Debian GNU system (but may be used by others).

=cut
